Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.handler
Class AbstractHandlerSupport

    java.lang.Object
      org.codehaus.xfire.handler.AbstractHandlerSupport

All Implemented Interfaces:
  HandlerSupport

Direct Known Subclasses:
  AbstractTransport, Client, DefaultXFire, Service

    public abstract class AbstractHandlerSupport

extends java.lang.Object
implements HandlerSupport

Constructor Summary
`AbstractHandlerSupport()`

Method Summary
`void` | `addFaultHandler(Handler handler)`
`void` | `addInHandler(Handler handler)`
`void` | `addOutHandler(Handler handler)`
`java.util.List` | `getFaultHandlers()`
`java.util.List` | `getInHandlers()`
`java.util.List` | `getOutHandlers()`
`void` | `setFaultHandlers(java.util.List faultHandlers)`
`void` | `setInHandlers(java.util.List inHandlers)`
`void` | `setOutHandlers(java.util.List outHandlers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractHandlerSupport

    public AbstractHandlerSupport()

Method Detail

### addFaultHandler

    public void addFaultHandler(Handler handler)

### getFaultHandlers

    public java.util.List getFaultHandlers()

  Specified by:
    `getFaultHandlers` in interface `HandlerSupport`

### setFaultHandlers

    public void setFaultHandlers(java.util.List faultHandlers)

### addInHandler

    public void addInHandler(Handler handler)

### getInHandlers

    public java.util.List getInHandlers()

  Specified by:
    `getInHandlers` in interface `HandlerSupport`

### setInHandlers

    public void setInHandlers(java.util.List inHandlers)

### addOutHandler

    public void addOutHandler(Handler handler)

### getOutHandlers

    public java.util.List getOutHandlers()

  Specified by:
    `getOutHandlers` in interface `HandlerSupport`

### setOutHandlers

    public void setOutHandlers(java.util.List outHandlers)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.